/*
  Vocatra, a small and fast vocabulary trainer
  Copyright (C) 2006-2008 Oliver Sauder <os@esite.ch>
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 

#include <cstdlib>

#include "vocatra.H"
#include "vocoptions.H"
#include "vocatrainfo.H"
#include "voctrainer.H"

using namespace std;

int main(int argc,char *argv[])
{
	int result;

#ifdef HAVE_SETLOCALE
	setlocale (LC_ALL,"");
#endif

#if ENABLE_NLS
	bindtextdomain(PACKAGE,LOCALEDIR);
	textdomain(PACKAGE);
#endif

	// randomize
	srandom(time(0));

	// get options
	CVocOptions opts;
	result=opts.Parse(argc,argv);
	if(result!=-1) {
		return result;
	}

	// initialize trainer
	CVocTrainer trainer(new CVocPrinter());
	result = trainer.Init(opts.GetVocFiles(),opts.GetNumOfVocFiles(),opts.SynonymMode(),opts.GetLang());
	if(result!=-1) {
		return result;
	}

	// start learning process
	trainer.Learn(opts.GetMode(),opts.GetLang(),opts.GetNumOfPasses(),
				  opts.DebugMode(),opts.StackMode(),opts.CaseMode(),
				  opts.BeepMode());
  
	return 0;
}
