/*
  Vocatra, a small and fast vocabulary trainer
  Copyright (C) 2006-2008 Oliver Sauder <os@esite.ch>
  
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _VOCSTRUCT_H
#define _VOCSTRUCT_H

/** Word struct.
 *  Lines from vocabulary files will be loaded into this struct.
 */
struct SWord
{
	/** vector with word synonyms from the left language. */
	std::vector<std::string> lang1;

	/** vector with word synonyms from the right language. */
	std::vector<std::string> lang2;

	/** number of passes. */
	int numPasses;
};

/** Language enum. 
 *  This enumerator defines the different languages.
 */
enum enVocLang{vlNone,vlLeft,vlRight};

/** Mode enum.
 *  This enumerator defines the different modes. 
 */
enum enVocMode{vmNone,vmOrder,vmRandom,vmAlphabetical};

#endif //_VOCSTRUCT_H
